mscorlib 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false) System.Runtime.InteropServices.ComVisible(true) System.Runtime.InteropServices.Guid("8A7C1442-A9FB-366B-80D8-4939FFA6DBE0") System.Runtime.InteropServices.InterfaceType(System.Runtime.InteropServices.ComInterfaceType.InterfaceIsIUnknown) System.Runtime.InteropServices.TypeLibImportClass(typeof(System.Reflection.FieldInfo))

This interface is for access to managed classes from unmanaged code, and should not be called from managed code.

This interface preserves the vtable order of the class members that can be accessed by unmanaged COM objects.

Exposes the public members of the class to unmanaged code.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldAttributes To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets the attributes associated with this field.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets the class that declares this member.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method determines whether the specified is equal to the current .

  Provides COM objects with version-independent access to the method.

  true if the specified is equal to the current ; otherwise, false.

  The to compare with the current . 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.RuntimeFieldHandle To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a , which is a handle to the internal metadata representation of a field.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets the type of this field object.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method returns an array containing all the custom attributes.

  Provides COM objects with version-independent access to the method.

  An array that contains all the custom attributes, or an array with zero elements if no attributes are defined.

  Specifies whether to search this member's inheritance chain to find the attributes. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method returns an array of custom attributes identified by .

  Provides COM objects with version-independent access to the method.

  An array of custom attributes applied to this member, or an array with zero (0) elements if no attributes have been applied.

  The type of attribute to search for. Only attributes that are assignable to this type are returned. Specifies whether to search this member's inheritance chain to find the attributes. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method serves as a hash function for a particular type. is suitable for use in hashing algorithms and data structures like a hash table.

  Provides COM objects with version-independent access to the method.

  The hash code for the current instance.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method gets the type of the current instance.

  Provides COM objects with version-independent access to the method.

  A object.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code. For more information about IDispatch::GetTypeInfo, see the MSDN Library.

  Retrieves the type information for an object, which can then be used to get the type information for an interface.

  The type information to return. The locale identifier for the type information. Receives a pointer to the requested type information object. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method returns the value of a field supported by a given object.

  Provides COM objects with version-independent access to the method.

  An object containing the value of the field reflected by this instance.

  The object whose field value will be returned. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method returns the value of a field supported by a given object.

  Provides COM objects with version-independent access to the method.

  An containing a field value.

  A structure that encapsulates a managed pointer to a location and a runtime representation of the type that might be stored at that location. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether this field has Assembly level visibility.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method indicates whether one or more instance of is applied to this member.

  Provides COM objects with version-independent access to the method.

  true if one or more instance of is applied to this member; otherwise, false.

  The object to which the custom attributes are applied. Specifies whether to search this member's inheritance chain to find the attributes. 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether this field has Family level visibility.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether this field has FamilyAndAssembly level visibility.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether this field has FamilyOrAssembly level visibility.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the field can only be set in the body of the constructor.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the value is written at compile time and cannot be changed.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether this field has the NotSerialized attribute.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the corresponding PinvokeImpl attribute is set in .

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the field is private.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the field is public.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the corresponding SpecialName attribute is set in the enumerator.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the field is static.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberTypes To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating that this member is a field.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets the name of the current member.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets the class object that was used to obtain this instance of .

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method sets the value of the field supported by the given object.

  Provides COM objects with version-independent access to the method.

  The object whose field value will be set. The value to assign to the field. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method sets the value of the field supported by the given object.

  Provides COM objects with version-independent access to the method.

  The object whose field value will be set. The value to assign to the field. A field of that specifies the type of binding that is desired (for example, Binder.CreateInstance or Binder.ExactBinding). A set of properties that enables the binding, coercion of argument types, and invocation of members through reflection. If is null, then Binder.DefaultBinding is used. The software preferences of a particular culture. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method sets the value of the field supported by the given object.

  Provides COM objects with version-independent access to the method.

  The object whose field value will be set. The value to assign to the field. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  Provides COM objects with version-independent access to the method.

  A string that represents the current .

  2.0.0.0